Sonic Visualiser - Bug #1036
Number of minutes should be zero padded
2014-07-28 01:34 PM - Dan Stowell

Status: Closed Start date: 2014-07-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

When | play back an audio file more than 1 hour long, in the bottom-left it says:

Playing 1:5:03 of 1:5:59

The seconds get zero-padding but the minutes don't. What it should show, when the time is beyond one hour, is

Playing 1:05:08 of 1:05:59

History

#1 - 2015-05-12 05:18 PM - Chris Cannam
- Status changed from New to Resolved

Fixed as of commit:98ea6332e9d7 (with unit tests).

#2 - 2016-12-14 02:10 PM - Chris Cannam
- Status changed from Resolved to Closed
